/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

    This file is part of TerraView - A Free and Open Source GIS Application.

    TerraView is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    TerraView is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TerraLib Code Editor. See COPYING. If not, write to
    TerraLib Team at <terralib-team@dpi.inpe.br>.
 */

/*!
  \file terraview/AboutDialog.h

  \brief A Qt dialog showing TerraPrint about window.
*/

#ifndef __TERRALIB_LAYOUT_INTERNAL_ABOUT_WINDOW_H
#define __TERRALIB_LAYOUT_INTERNAL_ABOUT_WINDOW_H

#include "../../core/Config.h"

// STL
#include <memory>

// Qt
#include <QDialog>

// Forward declaration
namespace Ui { class AboutWindowForm; }

namespace te
{
  namespace layout
  {
    class AboutWindow : public QDialog
    {
      Q_OBJECT //for slots/signals

    public:

      AboutWindow(QWidget* parent = 0, Qt::WindowFlags f = 0);

      ~AboutWindow();

      void setFuncateLogoFilePath(std::string path);

      void setInpeLogoFilePath(std::string path);

      void setPetrobrasLogoFilePath(std::string path);

    private:

      std::auto_ptr<Ui::AboutWindowForm> m_ui;
    };
  }
}

#endif  
