/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

This file is part of the TerraLib - a Framework for building GIS enabled applications.

TerraLib is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License,
or (at your option) any later version.

TerraLib is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with TerraLib. See COPYING. If not, write to
TerraLib Team at <terralib-team@terralib.org>.
*/

#ifndef __TERRALIB_LAYOUT_INTERNAL_LAYOUT_DOUBLE_VALIDATOR_H
#define __TERRALIB_LAYOUT_INTERNAL_LAYOUT_DOUBLE_VALIDATOR_H

#include "../../core/Config.h"

#include <QValidator>

namespace te
{
  namespace layout
  {
    /*!
    \file LayoutDoubleValidator.h

    \brief validator for Double values

    \ingroup layout
    */
    class TELAYOUTEXPORT LayoutDoubleValidator : public QDoubleValidator
    {
      public:
        /*!
        \brief Constructor
        */

        LayoutDoubleValidator(double bottom, double top, int decimals, QObject * parent);

        /*!
        \brief Reimplements validate method
        */

        virtual QValidator::State validate(QString &s, int &i) const;
        
        /*!
        \brief destructor
        */
        virtual ~LayoutDoubleValidator();

    };
  }
}

#endif