/*  Copyright (C) 2008 National Institute For Space Research (INPE) - Brazil.

    This file is part of TerraView - A Free and Open Source GIS Application.

    TerraView is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    TerraView is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TerraLib Code Editor. See COPYING. If not, write to
    TerraLib Team at <terralib-team@dpi.inpe.br>.
 */

/*!
  \file terraview/Config.h

  \brief Proxy configuration file for TerraView (see terraview_config.h).

  \author Gilberto Ribeiro de Queiroz <gribeiro@dpi.inpe.br>
  \author Juan C. P. Garrido <juan@dpi.inpe.br>
*/

#ifndef __TERRAVIEW_INTERNAL_CONFIG_H
#define __TERRAVIEW_INTERNAL_CONFIG_H

// TerraView
#include "terraview_config.h"

/*!
  \def TERRALIB_APPLICATION_CONFIG_FILE

  \brief The file that contains the application plugins.
*/
#define TERRAVIEW_APPLICATION_CONFIG_FILE "share/terraview/config/config.xml"

#endif // __TERRAVIEW_INTERNAL_CONFIG_H
